/* GNOME Transcript
 * Copyright (C) 1999-2000 the Free Software Foundation 
 * Authors : Matias Mutchinick
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __GTRANS_BUTTON_H__
#define __GTRANS_BUTTON_H__

#include <gtk/gtk.h>

/* 
 * gtrans_button_with_stock_n_label
 * @stock  : gnome stock pixmap id
 * @title  : label for the button
 * Create a button with a gnome stock and a label.
 */
GtkWidget *
gtrans_button_with_stock_n_label(gchar      *stock,
				 gchar      *title);



/* 
 * gtrans_button_with_stock_n_label2
 * @stock  : gnome stock pixmap id
 * @title  : label for the button
 * Create a button with a gnome stock and a label.
 */
GtkWidget *
gtrans_button_with_stock_n_label2(gchar      *stock,
				 gchar      *title);



/* 
 * gtrans_button_with_xpm_data_n_label
 * @xpm_data : xpm data
 * @title    : label for the button
 * Create a button with a gnome stock and a label.
 */
GtkWidget *
gtrans_button_with_xpm_data_n_label(gchar     **xpm_data,
				    gchar      *title);


/* 
 * gtrans_button_with_xpm_data_n_label2
 * @xpm_data : xpm data
 * @title    : label for the button
 * Create a button with a gnome stock and a label.
 */
GtkWidget *
gtrans_button_with_xpm_data_n_label2(gchar     **xpm_data,
				     gchar      *title);



#endif /*__GTRANS_BUTTON_H__*/
